import usb
 
####################################

 
class BoardControl:
	def __init__(self):
	        #print "Looking for MCU board..."
		dev = self.find_board()
		if not dev: raise "MCU board not found!"
		#print "MCU board found"
		self.handle = dev.open()

	def find_board(self):
		board = None
		for bus in usb.busses():
			for dev in bus.devices:
				if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
					return dev
        	return None

	def count_status(self):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		temp = self.handle.controlMsg(req,0,2)
		return temp

	def set_light(self,temp):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		self.handle.controlMsg(req,2,None,value = 0x0000 + temp)
 
	def get_light(self):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		temp = self.handle.controlMsg(req,1,2)
		return temp[0]+256*temp[1]

	def get_set_light(self):	
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		temp = self.handle.controlMsg(req,3,2)
		return temp[0]+256*temp[1]

	def reset_count(self):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		self.handle.controlMsg(req,4,0)
	
	def toggle_led(self):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		self.handle.controlMsg(req,5,0)
	
	def stat_bright(self):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		temp = self.handle.controlMsg(req,6,1)
		return temp[0]
	def red(self):
		req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
		self.handle.controlMsg(req,7,0)		
		
 
board = BoardControl()


