# _*_ encoding utf8 _*_
from django.shortcuts import render_to_response
from django.shortcuts import HttpResponseRedirect
from django import forms
from board import board

class setForm(forms.Form):
	setlight = forms.CharField(label='Set Light')

def setting(request):
	set_light = board.get_set_light()
	light = board.get_light()
	if request.method=='POST':
		form = setForm(request.POST)
		if form.is_valid():
			setlight = form.cleaned_data['setlight']
			board.set_light(int(setlight))
			return HttpResponseRedirect('/')
	else:
		form = setForm()
	return render_to_response("ctrl/setting.html",{'form': form,'light':light,'set_light':set_light})

def index(request):	
	count_stat = board.count_status()
	stat_bright = (board.stat_bright()==1)
	return render_to_response("ctrl/index.html",{'count': count_stat[0],'status': count_stat[1],'stat_bright':stat_bright})

def reset(request):
	board.reset_count()
	return HttpResponseRedirect('/')

def toggle(request):
	board.toggle_led()
	return HttpResponseRedirect('/')

def red_a(request):
	board.red()
	return HttpResponseRedirect('/')
